<div class="container">
  <div class="main-container">
    <div class="top-header">
      <div class="link-box">
        <app-phone></app-phone>
        <a href="tel:+79281389187" class="top-header-phone">+79281389187</a>
      </div>
      <div class="title">
        Медцентр АЭЛИТА
      </div>
      <div class="link-box">
        <app-mail></app-mail>
        <a href="mailto:4308258@mail.ru" class="top-header-email">4308258@mail.ru</a>
      </div>
    </div>
    <div class="bottom-header">
      <app-logo></app-logo>
      <nav class="menu">
        <a [routerLink]="'/main'" routerLinkActive="active-link" class="menu-link">Главная</a>
        <a [routerLink]="'/about'" routerLinkActive="active-link" class="menu-link">О нас</a>
        <a [routerLink]="'/price'" routerLinkActive="active-link" class="menu-link">Цены</a>
        <a [routerLink]="'/team'" routerLinkActive="active-link" class="menu-link">Специалисты</a>
        <a [routerLink]="'/contact'" routerLinkActive="active-link" class="menu-link">Контакты</a>
      </nav>
      <div [ngClass]="isOpenBurger ? 'menu-open' : ''" class="menu-burger" (click)="openBurger()">
          <span class="burger-row"></span>
          <span class="burger-row"></span>
          <span class="burger-row"></span>
      </div>
      <nav [ngClass]="isOpenBurger ? 'menu-open' : ''" class="menu-responsive">
        <a (click)="openBurger()" [routerLink]="'/main'" routerLinkActive="active-link" class="menu-link-responsive">Главная</a>
        <a (click)="openBurger()" [routerLink]="'/about'" routerLinkActive="active-link" class="menu-link-responsive">О нас</a>
        <a (click)="openBurger()" [routerLink]="'/price'" routerLinkActive="active-link" class="menu-link-responsive">Цены</a>
        <a (click)="openBurger()" [routerLink]="'/team'" routerLinkActive="active-link" class="menu-link-responsive">Специалисты</a>
        <a (click)="openBurger()" [routerLink]="'/contact'" routerLinkActive="active-link" class="menu-link-responsive">Контакты</a>
      </nav>
    </div>
  </div>
    <router-outlet></router-outlet>
  <footer class="footer-container">
    <div class="footer-wrapper">
      <div class="footer-data">
        <div class="link-box">
          <app-mail></app-mail>
          <a href="mailto:4308258@mail.ru" class="top-header-email">4308258@mail.ru</a>
        </div>
        <div class="link-box">
          <app-phone></app-phone>
          <a href="tel:+79281389187" class="top-header-phone">+79281389187</a>
        </div>
        <div class="link-box">
          <app-location></app-location>
          <div class="top-header-phone">Ростовская область, <br> г. Каменск-Шахтинский, ул. Горького, д. 82б</div>
        </div>
        <div class="link-box time-box">
          <app-clock></app-clock>
          <div class="top-header-phone">пн, ср, пт – 9.00 - 13.30; <br> вт, чт – 9.00 - 19.00; <br> суб – 9.00 - 13.00; <br> вск – выходной</div>
        </div>
      </div>
      <div class="footer-rules">
        <a routerLink="/map" class="box-text blacked text-colored">Карта сайта</a>
        <div class="box-text blacked text-colored right">"Аэлита" 2022</div>
        <div class="box-text blacked text-colored right">Все права защищены</div>
      </div>
    </div>
    <div class="web-rem">
      <a class="blacked" target="_blank" href="https://вебнадзор.рф">Вебнадзор.</a> 2022
    </div>
  </footer>
</div>

<!--Cookies bar-->
<app-cookies-policy *ngIf="cookiesOpen$ | async" (closeEvent)="closeCookiesBar()" (openEvent)="openCookiesPolicy()"></app-cookies-policy>

<!--Modal for cookies-->
<app-modal *ngIf="cookiesPolicy$ | async" (close)="closeCookiesPolicy()">
  <app-cookies-content></app-cookies-content>
</app-modal>

<!--Modal for agreements-->
<app-modal *ngIf="agreementsPolicy$ | async">
  <app-agreement (close)="closeAgreementsPolicy()"></app-agreement>
</app-modal>

<!--Modal for policy-->
<app-modal *ngIf="personalDataPolicy$ | async">
  <app-policy (close)="closePersonalData()"></app-policy>
</app-modal>
